Name:          ebay-cors-filter
Version:       1.0.1
Release:       3%{?dist}
Summary:       eBay CORS filter
License:       ASL 2.0
URL:           https://github.com/eBay/cors-filter
Source0:       https://github.com/eBay/cors-filter/archive/cors-filter-%{version}.tar.gz
Patch1:        ebay-cors-filter-1.0.1-servlet-3.0.patch

BuildRequires: maven-local
BuildRequires: mvn(javax.servlet:javax.servlet-api)
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)

BuildArch:     noarch

%description
CORS (Cross Origin Resource Sharing) is a mechanism supported by W3C to
enable cross origin requests in web-browsers. CORS requires support from
both browser and server to work. This is a Java servlet filter
implementation of server-side CORS for web containers such as Apache
Tomcat.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains API documentation for %{name}.

%prep
%setup -q -n cors-filter-cors-filter-%{version}
%patch1 -p1

%build
sed -i 's/\r//' LICENSE NOTICE README.md
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE NOTICE
%doc README.md cors-flowchart.png
%dir %{_javadir}/%{name}

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE

%changelog
* Thu Apr  9 2015 Sandro Bonazzola <sbonazzo@redhat.com> - 1.0.1-3
- Initial packaging based on Fedora spec file.
